Subject: Re: [PATCH 0/7 RFC] Netfilter/nf_tables ingress support

From: Daniel Borkmann <[email-masked]>
Date: Wed, 15 Apr 2015 11:19:08 +0200

On 04/15/2015 09:35 AM, John Fastabend wrote:
> On 04/14/2015 08:36 AM, Alexei Starovoitov wrote:
>> On Tue, Apr 14, 2015 at 08:12:18AM -0700, John Fastabend wrote:
>>>
>>> I was hoping to push the skb lists onto something like rte_ring
>>> used by the DPDK folks or possibly some of the lockless ring work Jesper
>>> created. This is needed for many qdisc's to drop the qlock but not the
>>> ingress qdisc. Been busy working on switch bits lately but might be
>>> able to pick this up next merge window.
>>
>> I've spent quite a bit of time reanalyzying your work ;) It seems
>> only trivial stuff left to drop ingress spinlock. Can you send me
>> your TC test scripts ? I'm only starting building mine and they're
>> not covering everything. Roughly I'm creating namespaces and running
>> traffic between them while varying csum/gso/gro offload settings.
>
> I'll dig up my scripts and post them to github this weekend. They
> are a bit organized and all over the place at the moment.
>
> Maybe we can build a master repository. I know there a lot of different
> scripts running around, for example I already collected a few from
> Jamal and I think Cong must have some as well.

Sounds awesome, I think that will be really useful for better test
coverage.